
-------------------------------------------------------------------------------------
-- |
-- Copyright   : (c) Hans Hoglund 2012
--
-- License     : BSD-style
--
-- Maintainer  : hans@hanshoglund.se
-- Stability   : experimental
-- Portability : non-portable (TF,GNTD)
--
-- Provides generic functions for manipulating time-based structures.
--
-------------------------------------------------------------------------------------

module Music.Time (
        module Music.Time.Time,
        module Music.Time.Span,

        module Music.Time.Delayable,
        module Music.Time.Stretchable,
        module Music.Time.Onset,

        module Music.Time.Juxtapose,
        module Music.Time.Reverse,
        module Music.Time.Reactive,
        module Music.Time.Behavior
  ) where

import           Music.Time.Span
import           Music.Time.Time

import           Music.Time.Delayable
import           Music.Time.Onset
import           Music.Time.Stretchable

import           Music.Time.Behavior
import           Music.Time.Juxtapose
import           Music.Time.Reactive
import           Music.Time.Reverse
